<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>List Students</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>
<body>
<div class="container my-2">
    <div class="card">
        <div class="card-body">
            <!-- Include _menu.html -->
            <th:block th:include="_menu"></th:block>
            <div th:switch="${students}" class="container my-5">
                <div class="col-md-10">
                    <h2 th:case="null">No record found !!</h2>
                    <div th:case="*">
                        <div th:if="${not #lists.isEmpty(students)}">
                            <h2 th:text="${students[0].studentsGroup.name} + ', semester: ' + ${students[0].studentsGroup.semester}"></h2>
                        </div>
                        <table class="table table-striped table-responsive-md">
                            <thead>
                            <tr>
                                <th>Name</th>
                                <th>Surname</th>
                                <th>Birthdate</th>
                                <th>Document</th>
                                <th th:if="${#request.isUserInRole('ROLE_ADMINISTRATION') or #request.isUserInRole('ROLE_DEAN')}">
                                    Edit
                                </th>
                                <th th:if="${#request.isUserInRole('ROLE_ADMINISTRATION')}">
                                    Archive
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="student : ${students}">
                                <td th:text="${student.name}"></td>
                                <td th:text="${student.surname}"></td>
                                <td th:text="${#dates.format(student.birthDate, 'dd-MMM-yyyy')}"></td>
                                <td th:text="${student.identityDocumentNumber}"></td>
                                <td th:if="${#request.isUserInRole('ROLE_ADMINISTRATION') or #request.isUserInRole('ROLE_DEAN')}">
                                    <a th:href="@{/editStudent/{id}(id=${student.id})}" class="btn btn-primary">
                                        <i class="fas fa-user-edit ml-2"></i>
                                    </a>
                                </td>
                                <td th:if="${#request.isUserInRole('ROLE_ADMINISTRATION')}">
                                    <a th:href="@{/deleteStudent/{id}(id=${student.id})}" class="btn btn-primary">
                                        <i class="fas fa-user-times ml-2"></i>
                                    </a>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>